精华内容
下载资源
问答
  • 2022-05-06 20:55:47

     

     

    更多相关内容
  • 主要介绍了IDEA导入外部项目报Error:java: 无效目标发行版: 11,本文给大家介绍的非常详细,对大家的学习或工作具有一定的参考借鉴价值,需要的朋友可以参考下
  • idea报错:无效发行版11

    千次阅读 2020-09-15 17:18:44
    idea报错:无效发行版11 文章目录1错误2解决方案:3如果上述仍然解决不了问题,查看Compiler如下 1错误 1.1 当测试运行项目时,可能会在控制台输出无效目标发行版:XX,这是可能由于版本的原因导致 ,如下 2...

    idea报错:无效的 发行版11

    1问题:

    1.1 当测试运行项目时,可能会在控制台输出无效的目标发行版:XX,这是可能由于版本的原因导致 ,如下在这里插入图片描述

    2解决方案:

    2.1 File=>Project Structure

    在这里插入图片描述

    2.2project=>Project SDK 和project language level

    在这里插入图片描述

    2.3Modules=>Sources=>Language Level
    在这里插入图片描述
    2.4Modules=>Dependencies=>Module SDK

    在这里插入图片描述
    2.5File=>Settings

    在这里插入图片描述

    2.6Java Compiler=>Project ByteCode Version
    在这里插入图片描述
    2.7运行即可

    3问题

    3.1每次项目改动,上述配置失效,也就是说上述配置是暂时性的
    在这里插入图片描述

    4解决方式

    4.1官网查下看: Setting the -source and -target of the Java Compiler
    在这里插入图片描述4.2配置如下
    (1)4.1 Compiler插件的缺省source和target版本设置与当前配置冲突,缺省值均为1.5版本。换句话说,Compiler插件会假设你所有的Java源代码遵循Java 1.5,目标为Java 1.5 JVM
    在这里插入图片描述(2)添加plugin的属性(和4.1是等效的)
    在这里插入图片描述

    展开全文
  • 遇到问题如java: 警告: 源发行版 11 需要目标发行版 11或者java: 无效目标发行版: 11,根因是本机JDK版本与语言级别不一致。 对此,需要检查以下3个地方 File>Project Structure>Project File>...

    遇到问题如java: 警告: 源发行版 11 需要目标发行版 11或者java: 无效的目标发行版: 11,根因是本机JDK版本与语言级别不一致。
    对此,需要检查以下3个地方

    • File>Project Structure>Project
      在这里插入图片描述

    • File>Project Structrure>Modules
      在这里插入图片描述
      在这里插入图片描述

    • File>Settings>Java Compiler
      在这里插入图片描述
      解决方法来自这篇文章那篇文章。

    展开全文
  • 完美解决 java: 无效目标发行版: 11

    千次阅读 2022-04-15 21:06:40
    java: 无效目标发行版: 11 今天作者在学习JDK版本的时候遇到了一个问题:java: 无效目标发行版: 11,这是什么情况???? 1、问题描述 经过研究才发现,这是因为作者使用了jdk8进行编译,而试图使用jdk11的功能...

    java: 无效的目标发行版: 11

    今天作者在学习JDK版本的时候遇到了一个问题:java: 无效的目标发行版: 11,这是什么情况????

    1、问题描述

    经过研究才发现,这是因为作者使用了jdk8进行编译,而试图使用jdk11的功能,这就必然会导致版本问题,因为jdk8支持1-8这个区间的功能,如何解决这个问题呢?

    image-20220415205000583

    2、平台JDK版本

    首先介绍如何在IDEA上添加新版本,点击Project Structure—>SKDs。

    image-20220415205456655

    3、项目JDK版本

    在Project选项里面可以设置项目的版本

    image-20220415210518015

    4、字节码版本

    设置项目字节码版本,这里作者建议如果你想使用jdk1.8(或者jdk8)就设置为8,如果想要使用jdk11就设置为11。这里有一个版本兼容的问题,如果你设置的jdk11,可以使用11以及11以下的版本,也就说你可以使用8。

    而当你使用jdk8的时候,如果你设置的11,这个时候就会出现:

    java: 无效的目标发行版: 11

    也就是报错,这个时候改成8就可以解决问题啦。

    image-20220415205828422

    展开全文
  • 之前输出仍然是Java version:1.8,原因是环境变量中,JAVA_HOME仍然指示的1.8,需要改为JDK11的路径! 注意:修改环境变量后,重启一下IDEA!! 三、检查mvn的pom.xml和setting.xml 如果没有配置,选择11会出现图...
  • 平时工作学习中我们在使用idea开发中经常会遇到以下问题,java:“无效目标发行版: 11”冲突。如下图: 其实出现问题的真正原因是你download 别人的代码,但是别人的JDK属于java11 或者java9,但是i你的为java8 或者...
  • 简便方法:在pom.xml文件中,修改如下配置即可: 或者按如下方法(3步): 1、file -->Project Structure ,将红色框中的改为目前的jdk版本: ...2、打开 Modules 模块,修改每个项目中的 language level。...
  • 无效目标发行版: 11

    千次阅读 2020-11-18 11:31:50
    这个问题就是jdk版本设置不对,将运行的jdk版本改成对应本地的版本. 处理方法: 还要检查一下另一个地方版本对不对.
  • 项目场景: IDEA 导入maven项目报错maven:Fatal error compiling: 无效目标发行版: 11 问题描述 学习项目实例时,导入项目出错,项目地址 原因分析: JDK版本不兼容 解决方案: IDEA项目运行从JDK8切换到JDK11版本...
  • 打包出现无效目标发行版本: 11解决方案: 记录一下 解决方案: 1.检查pom文件中的配置 2.在Settings中检查Maven下runner的jre环境配置。(查了很多博客,发现都没有这一点) 3.在Settings中检查项目编译器(Compiler...
  • Fatal error compiling: 无效目标发行版: 11 Fatal error compiling: 无效目标发行版: 11 2、理一下思路: 从报错上来看是编译的时候,jdk版本不对。 到底哪里的jdk版本配置的不对? 我们打包的时候,哪些地方...
  • 无效目标发行版: 17

    2022-03-21 16:27:45
    我这里需要设置的是jdk1.8版本的,但是执行maven的compile一直显示是无效目标发行版:17 解决方法: 1. 第一种:   修改在setting中的设置: 2. 第二种:   修改在项目中的设置:(这些地方都要设置为8的版本...
  • idea配置的jdk版本是1.8,XudongBack模块设置的编译版本为11,由于JDK版本冲突导致编译失败。 问题解决: 1、在pom.xml配置JDK版本为1.8 <properties> <java.version>1.8</java.version> <...
  • IDEA执行maven命令,提示Fatal error compiling: 无效目标发行11 环境: 项目jdk版本:11 环境变量jdk版本:1.8 MAVEN版本:3.3.9 查询资料发现,执行maven命令时,会去找环境变量的jdk版本,所以...
  • 在pom.xml文件中添加: <properties> <java.version>11</java.version> <maven.compiler.source>11</maven.compiler.source>...11表示你编译的版本 如果是其他编译版本显示 写为对
  • Error:java: 无效目标发行版: 11

    万次阅读 多人点赞 2020-03-17 21:05:13
    我们在使用Idea开发中如果遇到你的JDK版本有“无效目标发行版: 11”冲突时,要修改以下JDK版本 1 2 3 以上的设置必须保证是同一JDK的版本才可以
  • IDEA Error:java: 无效目标发行版: 11 将JDK SDK版本设为同一版本 1. File -->Project Structure -->Project 2. File -->Project Structure -->Modules 3. File -->Settings -->Java ...
  • 牛马日常之重拾SpringMVC之‘无效目标发行版’ 问题:上死亡截图 问题解决思路:这是由于JDK版本不匹配导致的错误。 首先说一下问题的关键所在,然后再细说解决步骤: 遇到这个问题的朋友大概率都是在写Spring项目...
  • Error:java: 无效目标发行版 然后就修改 要是项目模块少还好,模块一多起来简直要吐血,原因是maven刷新的时候会加载maven的配置 解决方案: 1、确保项目所使用的maven是自己下载的 2、修改配置文件...
  • 无效目标发行版: 1.8
  • 原因1: 选择目录File -》Project Structure 这里选择对应的jdk版本 还有一个是 pom文件内是否指定的java的版本 这几处要对应
  • Dmaven.test.skip=true,仍然报错,只是错误信息不同:变成了“无效发行版本8.0”,于是想到为什么不是“无效发行版本1.8”?所以想起修改了settings.xml的jdk为8.0,所以应该是这里jdk版本的问题。 3、settings...
  • 将JDK从1.8升级到JDK11后,是用maven package进行打包,一直报错。 确认过项目使用的JDK11,java compiler也是使用11,还是报错,后来发现是由于 eclipse run configuration 的JRE设置不正确导致,如下图:
  • 之前编译项目的时候报错: 网上搜了下,好多都只说了 无效的源发行版的解决方法。其实有两个错误,一个是目标...无效目标发行版 原因:编译器的JDK版本不符 设置编译器版本。 File -> Settings… 这个要与你安
  • **原因:**创建项目工程的时候,默认选择了JAVA Version11,而本地版本为JDK8 **解决办法:**File -> Project Structure->Project Modules 还需要最后一步,修改编译的版本 打开Setting->Build,Exectuion,...
  • 我们在使用Idea开发中如果遇到你的JDK版本有“无效目标发行版: 11”冲突时,要修改以下JDK版本
  • Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project shendu-qiyeweixin: Fatal error compiling: 无效目标发行版: 11 -> [Help 1] 原因: ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 9,739
精华内容 3,895
关键字:

无效目标发行版11